if($Pref::Swol_Health_RespawnLoad $= "")
$Pref::Swol_Health_RespawnLoad = true;
if($Pref::Swol_Health_DeathReset $= "")
$Pref::Swol_Health_DeathReset = true;

package swol_saveLoadHealth
{
	function player::saveHealth(%this)
	{
		if(!isObject((%cl = %this.client)))
		return;
		$Pref::Swol_Health[%cl.bl_id] = %this.getDamagePercent();
		if($NewHealth::Version >= 2)
		$Pref::Swol_MaxHealth[%cl.bl_id] = %this.getMaxHealth();
	}
	function player::loadHealth(%this)
	{
		if(!isObject((%cl = %this.client)))
		return;
		if((%hp = $Pref::Swol_Health[%cl.bl_id]) $= "")
		return;
		%max = 0;
		if($NewHealth::Version >= 2)
		{
			if((%max = $Pref::Swol_MaxHealth[%cl.bl_id]) !$= "")
			%this.setMaxHealth(%max);
		}
		else
		{
			%max = %this.getDatablock().maxDamage;
		}
		
		%this.setHealth(%max-(%max*%hp));
	}
	function gameConnection::onDeath(%killed, %killerPlayer, %killer, %a, %b)
	{
		parent::onDeath(%killed, %killerPlayer, %killer, %a, %b);
		if($Pref::Swol_Health_DeathReset)
		$Pref::Swol_Health[%killed.bl_id] = 0;
	}
	function gameConnection::createPlayer(%this,%pos)
	{
		parent::createPlayer(%this,%pos);
		if($Pref::Swol_Health_RespawnLoad)
		%this.schedule(10,doHealthLoad);
	}
	function gameConnection::doHealthLoad(%this)
	{
		if(!isObject((%pl = %this.player)))
		return;
		
		//sshhh
		painCrySound.setName(_painCrySound);
		%pl.loadHealth();
		%pl.setDamageFlash(0);
		//hhhss
		_painCrySound.setName(painCrySound);
	}
};
activatePackage(swol_saveLoadHealth);
registerOutputEvent(player,"SaveHealth");
registerOutputEvent(player,"LoadHealth");